## network-manager-applet 1.8.20

=== meson_options.txt ===
option('libnm_gtk', type: 'boolean', value: false, description: 'build legacy library libnm-gtk which depends on libnm-glib/libnm-util/dbus-glib')
option('appindicator', type: 'string', value: 'no', description: 'Build with lib(ayatana-)appindicator support in addition to xembed systray support (no|yes|auto|ayatana|ubuntu). Default is "no", "yes" is an alias for "auto".')
option('wwan', type: 'boolean', value: true, description: 'Enable WWAN support.')
option('selinux', type: 'boolean', value: true, description: 'Enable support for adjusting SELinux labels in configuration editor.')
option('team', type: 'boolean', value: true, description: 'Enable team configuration editor.')
option('gcr', type: 'boolean', value: true, description: 'Enable advanced certificate chooser.')
option('more_asserts', type: 'string', value: '0', description: 'Enable more assertions for debugging.')
option('iso_codes', type: 'boolean', value: true, description: 'check for iso-codes at build-time')
option('mobile_broadband_provider_info', type: 'boolean', value: true, description: 'check for mobile-broadband-provider-info at build-time')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('gtk_doc', type: 'boolean', value: true, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')

=== debian/changelog ===
network-manager-applet (1.8.20-1ubuntu1) disco; urgency=medium

  * Resynchronize on Debian
  * The new version includes
    -  connection-editor: re-enable launcher in GNOME and KDE,
       it's needed for some sort of configurion which are not handled 
       by the desktop settings interfaces (lp: #1812697)
  * debian/patches/git_wrong_free.patch:
    - wifi-dialog: fix wrong free
  * debian/patches/git_desktop_category.patch:
    - connection-editor: add Utilities category to desktop file
  * debian/patches/git_password_entry.patch:
    - nma/pkcs11-cert-chooser: show the password entries when it makes sense
  * debian/rules:
    - build with --with-libnm-gtk, the default is now to disable it 
      upstream but we still have unity-control-center depending on it.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 04 Mar 2019 16:17:00 +0100

network-manager-applet (1.8.20-1) unstable; urgency=medium

  * New upstream version 1.8.20
  * Rebase patches
  * Revert upstream change which marks all WiFi connections as user
    connections by default.
    Thanks to Dean Serenevy <dean@serenevy.net> (Closes: #916187)
  * Update symbols file for libnma0
  * Use debhelper-compat (= 12) Build-Depends and drop debian/compat
  * Bump Standards-Version to 4.3.0

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2019 18:47:42 +0100

network-manager-applet (1.8.18-2ubuntu5) disco; urgency=medium

  * Don't require gnome-shell on s390x since it's not built there.
    Don't require the alternate dependencies either (notification-daemon
    and policykit-1-gnome) since we're trying to demote them to universe.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Feb 2019 11:04:05 -0500

network-manager-applet (1.8.18-2ubuntu4) disco; urgency=medium

  * Add gnome-shell as an alternate dependency to policykit-1-gnome
    so that policykit-1-gnome can be demoted to universe

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Feb 2019 13:11:46 -0500

network-manager-applet (1.8.18-2ubuntu3) disco; urgency=medium

  * Add gnome-shell as an alternate dependency to notification-daemon
    so that notification-daemon can be demoted to universe.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 09 Feb 2019 22:02:10 -0500

network-manager-applet (1.8.18-2ubuntu2) cosmic; urgency=medium

  * No change rebuild for launchpad translations import

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Oct 2018 11:11:19 +0200

network-manager-applet (1.8.18-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/rules:
      + Drop gir1.2-nmgtk-1.0 as part of the libnm-gtk removal process
      + use libappindicator for now, it is tested and in main and the
        new ayatana variant from Debian hasn't been reviewed yet.
      + Run dh_translations
    - debian/control, debian/rules, debian/libnm-gtk*.symbols:
      + Add legacy libnm-gtk packages, until unity-control-center
        is ported (see LP 1744619)
    - Add lp341684_device_sensitive_disconnect_notify.patch:
      + Show correct notification messages for disconnect events, to be in
        line with the other *connect*text patches.
    - Add lp460144_correctly_update_notification.patch: cleaner notification
        messages, and allow for messages to be updated instead of cleared.
    - Add Have-the-appindicator-enabled-by-default.patch:
      + enable appindicator by default.
    - Add applet-wifi-menu-before-vpn.patch:
      + Show Create New and Connect to Hidden wifi menu items with the other
        Wifi items, rather than separated by the VPN menus.
    - Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
      + Enable Ad-Hoc using WPA RSN
    - Make-sure-the-behavior-for-policykit-restricted-acti.patch,
      Support-hiding-rather-than-desensitizing-disallowed-items.patch,
      + provide methods to desensitize and hide menu items which are useless
        given the current policykit policy level of the user.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 01 Oct 2018 12:13:44 +0100

network-manager-applet (1.8.18-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Picking new bug-fix only release.
    Remaining changes: (LP: #1791271)
    - debian/control, debian/rules:
      + Drop gir1.2-nmgtk-1.0 as part of the libnm-gtk removal process
      + use libappindicator for now, it is tested and in main and the
        new ayatana variant from Debian hasn't been reviewed yet.
      + Run dh_translations
    - debian/control, debian/rules, debian/libnm-gtk*.symbols:
      + Add legacy libnm-gtk packages, until unity-control-center
        is ported (see LP 1744619)
    - Add lp341684_device_sensitive_disconnect_notify.patch:
      + Show correct notification messages for disconnect events, to be in
        line with the other *connect*text patches.
    - Add lp460144_correctly_update_notification.patch: cleaner notification
        messages, and allow for messages to be updated instead of cleared.
    - Add Have-the-appindicator-enabled-by-default.patch:
      + enable appindicator by default.
    - Add applet-wifi-menu-before-vpn.patch:
      + Show Create New and Connect to Hidden wifi menu items with the other
        Wifi items, rather than separated by the VPN menus.
    - Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
      + Enable Ad-Hoc using WPA RSN
    - Make-sure-the-behavior-for-policykit-restricted-acti.patch,
      Support-hiding-rather-than-desensitizing-disallowed-items.patch,
      + provide methods to desensitize and hide menu items which are useless
        given the current policykit policy level of the user.
  * Refresh patches

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 11 Sep 2018 09:45:44 +0200

network-manager-applet (1.8.16-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable. Remaining changes: (LP: #1791271)
    - debian/control, debian/rules:
      + Drop gir1.2-nmgtk-1.0 as part of the libnm-gtk removal process


=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               dh-translations,
               gnome-common,
               intltool,
               mobile-broadband-provider-info,
               libsecret-1-dev,
               libgtk-3-dev (>= 3.10),
               libglib2.0-dev (>= 2.38),
               libnotify-dev (>= 0.7),
               libnm-util-dev (>= 1.8),
               libnm-glib-dev (>= 1.8),
               libnm-glib-vpn-dev (>= 1.8),
               network-manager-dev (>= 1.8),
               libappindicator3-dev,
               libdbusmenu-gtk3-dev (>= 16.04.0),
               libnm-dev (>= 1.8),
               libmm-glib-dev,
               libgudev-1.0-dev (>= 147),
               libjansson-dev (>= 2.7),
               libselinux-dev,
               libdbusmenu-gtk3-dev (>= 16.04),
               libgcr-3-dev (>= 3.14),
               libgck-1-dev (>= 3.14),
               iso-codes,
               libgirepository1.0-dev,
               gobject-introspection,
               gtk-doc-tools,
               libgtk-3-doc,
               libglib2.0-doc,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
Homepage: https://www.gnome.org/projects/NetworkManager/

Package: network-manager-gnome
Architecture: linux-any
Section: gnome
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnma0 (= ${binary:Version}),
         network-manager (>= 1.8),
         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
         default-dbus-session-bus | dbus-session-bus
Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
            gnome-keyring,
            mobile-broadband-provider-info,
            iso-codes
Suggests: network-manager-openconnect-gnome,
          network-manager-openvpn-gnome,
          network-manager-vpnc-gnome,
          network-manager-pptp-gnome
Description: network management framework (GNOME frontend)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows users to easily switch between
 them. For encrypted networks it will prompt the user for the key/passphrase
 and it can optionally store them in the gnome-keyring.

Package: libnm-gtk0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: library for wireless and mobile dialogs (libnm-glib version)
 This library provides Gtk+ dialogs for NetworkManager.

Package: libnm-gtk-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm-gtk0 (= ${binary:Version}),
         network-manager-dev (>= 1.8),
         libnm-util-dev (>= 1.8),
         libnm-glib-dev (>= 1.8),
         libgtk-3-dev
Description: library for wireless and mobile dialogs - development files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains the development files.

Package: libnma0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: library for wireless and mobile dialogs (libnm version)
 This library provides Gtk+ dialogs for NetworkManager.

Package: libnma-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnma0 (= ${binary:Version}),
         gir1.2-nma-1.0 (= ${binary:Version}),
         libnm-dev (>= 1.8)
Description: library for wireless and mobile dialogs - development files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains the development files.

Package: gir1.2-nma-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for libnma
 The libnma library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains introspection data for libnma.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,translations

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--disable-more-warnings \
		--disable-static \
		--enable-introspection \
		--enable-gtk-doc \
		--with-appindicator=ubuntu \
		--with-gcr \
		--with-libnm-gtk \
		--with-selinux \
		--with-wwan

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	# Let's drop the gir1.2-nmgtk-1.0 package now
	find debian/tmp -name NMGtk-1.0.* -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## network-manager-applet 1.8.20.1

=== debian/changelog ===
network-manager-applet (1.8.20.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: ab7c57df45de2a3a919726a06ecd3bd38cd3a84d']

 -- shuttle <shuttle@deepin.com>  Wed, 25 Dec 2019 18:34:38 +0000

=== debian/watch ===
version=3
https://download.gnome.org/sources/network-manager-applet/([\d\.]+)/network-manager-applet-(.*)\.tar\.xz

## network-manager-applet 1.8.22

=== debian/changelog ===
network-manager-applet (1.8.22-2ubuntu1) eoan; urgency=medium

  * Resynchronize on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2019 13:01:16 +0200

network-manager-applet (1.8.22-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jul 2019 00:44:50 +0200

network-manager-applet (1.8.22-1) experimental; urgency=medium

  * New upstream version 1.8.22
  * Rebase patches
  * Update symbols file for libnma0
  * Drop obsolete gnome-common Build-Depends
  * Replace intltool Build-Depends with gettext (>= 0.18)

 -- Michael Biebl <biebl@debian.org>  Wed, 29 May 2019 12:58:48 +0200

network-manager-applet (1.8.20-1ubuntu2) eoan; urgency=medium

  * debian/control.in, debian/libnm-gtk*, debian/rules:
    - Remove deprecated libnm-gtk0/libnm-gtk-dev, following Debian,
      unity-control-centerwas ported to newer iibraries now.
  * debian/compat, debian/control:
    - Remove delta to stay on debhelper 11
  * debian/patches/Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
    - remove, the n-m side was dropped in zesty

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 May 2019 15:01:28 +0200

network-manager-applet (1.8.20-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix crash on creating custom Wi-Fi connection in wifi-dialog.
    (Closes: #926328)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2019 13:27:26 -0400

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-translations,
-               gnome-common,
-               intltool,
+               gettext (>= 0.18),
                mobile-broadband-provider-info,
                libsecret-1-dev,
                libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
-               libnm-util-dev (>= 1.8),
-               libnm-glib-dev (>= 1.8),
-               libnm-glib-vpn-dev (>= 1.8),
-               network-manager-dev (>= 1.8),
                libappindicator3-dev,
                libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.8),
@@ -71,32 +66,6 @@
  them. For encrypted networks it will prompt the user for the key/passphrase
  and it can optionally store them in the gnome-keyring.
 
-Package: libnm-gtk0
-Architecture: linux-any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Description: library for wireless and mobile dialogs (libnm-glib version)
- This library provides Gtk+ dialogs for NetworkManager.
-
-Package: libnm-gtk-dev
-Architecture: linux-any
-Multi-Arch: same
-Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libnm-gtk0 (= ${binary:Version}),
-         network-manager-dev (>= 1.8),
-         libnm-util-dev (>= 1.8),
-         libnm-glib-dev (>= 1.8),
-         libgtk-3-dev
-Description: library for wireless and mobile dialogs - development files
- The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
- .
- This package contains the development files.
-
 Package: libnma0
 Architecture: linux-any
 Multi-Arch: same

## network-manager-applet 1.8.24

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 option('libnm_gtk', type: 'boolean', value: false, description: 'build legacy library libnm-gtk which depends on libnm-glib/libnm-util/dbus-glib')
+option('libnma_gtk4', type: 'boolean', value: false, description: 'build EXPERIMENTAL library libnma-gtk4 for use with GTK4')
 option('appindicator', type: 'string', value: 'no', description: 'Build with lib(ayatana-)appindicator support in addition to xembed systray support (no|yes|auto|ayatana|ubuntu). Default is "no", "yes" is an alias for "auto".')
 option('wwan', type: 'boolean', value: true, description: 'Enable WWAN support.')
 option('selinux', type: 'boolean', value: true, description: 'Enable support for adjusting SELinux labels in configuration editor.')

=== debian/changelog ===
network-manager-applet (1.8.24-1ubuntu3) focal; urgency=medium

  * d/p/Support-hiding-rather-than-desensitizing-disallowed-items.patch!
    - restore the initialization code for the 'allowed' variables which
      was dropped by error in 16.10, fixes log warnings (lp: #1853331)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jul 2020 23:09:31 +0200

network-manager-applet (1.8.24-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:12:34 +0000

network-manager-applet (1.8.24-1ubuntu1) focal; urgency=medium

  * Resynchronize on Debian
    - Support for SAE authentication (WPA3 Personal) was added.
      (lp: #1848339)
    - Fixed external UI mode without interactive secrets. (lp: #1857253)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Jan 2020 23:28:29 +0100

network-manager-applet (1.8.24-1) unstable; urgency=medium

  * New upstream version 1.8.24
  * Rebase patches
  * Bump Standards-Version to 4.4.1

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Oct 2019 21:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                gtk-doc-tools,
                libgtk-3-doc,
                libglib2.0-doc,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
 Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet

=== debian/rules ===
--- 
+++ 
@@ -19,14 +19,12 @@
 		--enable-gtk-doc \
 		--with-appindicator=ubuntu \
 		--with-gcr \
-		--with-libnm-gtk \
 		--with-selinux \
-		--with-wwan
+		--with-wwan \
+		--without-libnm-gtk
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	# Let's drop the gir1.2-nmgtk-1.0 package now
-	find debian/tmp -name NMGtk-1.0.* -print -delete
 	dh_install
 
 override_dh_missing:

## network-manager-applet 1.8.24-1ubuntu3+10.0trisquel0

=== debian/changelog ===
network-manager-applet (1.8.24-1ubuntu3+10.0trisquel0) nabia; urgency=medium

  * Remove gnome-shell and notification-daemon dependency from network-
    manager-gnome

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 20 Mar 2022 22:47:46 +0000

=== debian/control ===
--- 
+++ 
@@ -42,9 +42,9 @@
          ${misc:Depends},
          libnma0 (= ${binary:Version}),
          network-manager (>= 1.8),
-         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
+         policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
          default-dbus-session-bus | dbus-session-bus
-Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
+Recommends: policykit-1-gnome <!s390x>,
             gnome-keyring,
             mobile-broadband-provider-info,
             iso-codes

## network-manager-applet 1.8.24-linuxmint4

=== debian/changelog ===
network-manager-applet (1.8.24-linuxmint4) ulyana; urgency=medium

  * l10n: Fix more broken translations from Debian patch

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 15:02:50 +0100

network-manager-applet (1.8.24-linuxmint3) ulyana; urgency=medium

  * l10n: Fix missing translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 14:34:18 +0100

network-manager-applet (1.8.24-linuxmint2) ulyana; urgency=medium

  * Tray: Migrate to XAppStatusIcon

 -- Clement Lefebvre <clem@macbook>  Sun, 24 May 2020 10:24:52 +0100

network-manager-applet (1.8.24-linuxmint1) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Fix build

  [ Michael Webster ]
  * Revert a broken quilt patch:

  [ Clement Lefebvre ]
  * Use symbolic icons in systray

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Apr 2020 12:24:55 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
                gtk-doc-tools,
                libgtk-3-doc,
                libglib2.0-doc,
+               libxapp-dev (>= 1.8.6)
 Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
@@ -42,9 +43,9 @@
          ${misc:Depends},
          libnma0 (= ${binary:Version}),
          network-manager (>= 1.8),
-         policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
+         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
          default-dbus-session-bus | dbus-session-bus
-Recommends: policykit-1-gnome <!s390x>,
+Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
             gnome-keyring,
             mobile-broadband-provider-info,
             iso-codes

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,translations
+	dh $@ --with gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -17,7 +17,7 @@
 		--disable-static \
 		--enable-introspection \
 		--enable-gtk-doc \
-		--with-appindicator=ubuntu \
+		--with-appindicator=no \
 		--with-gcr \
 		--with-selinux \
 		--with-wwan \

## network-manager-applet 1.18.0

=== debian/changelog ===
network-manager-applet (1.18.0-1ubuntu2) groovy; urgency=medium

  * d/p/Support-hiding-rather-than-desensitizing-disallowed-items.patch!
    - restore initialization code for some of the 'allowed' variables which
      was dropped by error in 16.10, fixes log warnings (lp: #1853331)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jul 2020 17:50:27 +0200

network-manager-applet (1.18.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support for SAE authentication (WPA3 Personal) was added.
      (lp: #1848339)
    - Fixed external UI mode without interactive secrets. (lp: #1857253)
    - use libappindicator for now, it is tested and in main and the
      new ayatana variant from Debian hasn't been reviewed yet.
    - Run dh_translations
    - Add Ubuntu patches:
      - lp341684_device_sensitive_disconnect_notify.patch
      - lp460144_correctly_update_notification.patch
      - Have-the-appindicator-enabled-by-default.patch
      - Make-policykit-restricted-actions-insensitive.patch
      - Support-hiding-rather-than-desensitizing-disallowed-items.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jun 2020 10:04:08 +0200

network-manager-applet (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Remove -Wl,--as-needed from linker flags
  * Remove unused architecture.mk include

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Jun 2020 18:10:51 +0200

network-manager-applet (1.16.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support for SAE authentication (WPA3 Personal) was added.
      (lp: #1848339)
    - Fixed external UI mode without interactive secrets. (lp: #1857253)
    - use libappindicator for now, it is tested and in main and the
      new ayatana variant from Debian hasn't been reviewed yet.
    - Run dh_translations
    - Add Ubuntu patches:
      - lp341684_device_sensitive_disconnect_notify.patch
      - lp460144_correctly_update_notification.patch
      - Have-the-appindicator-enabled-by-default.patch
      - Make-policykit-restricted-actions-insensitive.patch
      - Support-hiding-rather-than-desensitizing-disallowed-items.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jun 2020 09:37:52 +0200

network-manager-applet (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * Drop libnma, now built from a separate source package
  * Drop override for dh_install and dh_missing.
    No longer necessary as we only build a single binary package now.
  * Drop gir dh addon, no longer needed
  * Update Build-Depends
  * Update configure switches
  * Switch from autotools to meson
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compatibility level to 13
  * Remove Allow-creation-of-connections-without-admin-privileges.patch.
    This patch requires ongoing maintenance work and no longer applies with
    libnma being split off. A sustainable alternative will require buy-in
    from upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Apr 2020 18:06:30 +0200

=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-translations,
               meson (>= 0.46.0),
               gettext (>= 0.18),
               libsecret-1-dev (>= 0.18),
               libgtk-3-dev (>= 3.10),
               libglib2.0-dev (>= 2.38),
               libnotify-dev (>= 0.7),
               libappindicator3-dev,
               libdbusmenu-gtk3-dev (>= 16.04.0),
               libnm-dev (>= 1.15),
               libnma-dev (>= 1.8.27),
               libmm-glib-dev,
               libgudev-1.0-dev (>= 147),
               libjansson-dev (>= 2.7),
               libselinux-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
Homepage: https://www.gnome.org/projects/NetworkManager/

Package: network-manager-gnome
Architecture: linux-any
Section: gnome
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         network-manager (>= 1.8),
         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
         default-dbus-session-bus | dbus-session-bus
Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
            gnome-keyring,
            mobile-broadband-provider-info,
            iso-codes
Suggests: network-manager-openconnect-gnome,
          network-manager-openvpn-gnome,
          network-manager-vpnc-gnome,
          network-manager-pptp-gnome
Description: network management framework (GNOME frontend)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows users to easily switch between
 them. For encrypted networks it will prompt the user for the key/passphrase
 and it can optionally store them in the gnome-keyring.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@ --without=autoreconf --with translations --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		-Dappindicator=ubuntu \
		-Dwwan=true \
		-Dselinux=true \
		-Dteam=true

## network-manager-applet 1.20.0

=== debian/changelog ===
network-manager-applet (1.20.0-3) unstable; urgency=medium

  * applet: support activating WireGuard connections as VPNs (Closes: #983641)
  * editor: fix crash when evaluating secondaries

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Feb 2021 20:11:20 +0100

network-manager-applet (1.20.0-2) unstable; urgency=medium

  * Show wired icon only if we are in CONNECTED_GLOBAL state

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Feb 2021 21:21:42 +0100

network-manager-applet (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Rebase patches
  * Bump Standards-Version to 4.5.1
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Feb 2021 15:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-translations,
                meson (>= 0.46.0),
                gettext (>= 0.18),
                libsecret-1-dev (>= 0.18),
                libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
-               libappindicator3-dev,
+               libayatana-appindicator3-dev,
                libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.15),
                libnma-dev (>= 1.8.27),
@@ -20,10 +18,10 @@
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.7),
                libselinux-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
-Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager-applet.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager-applet
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome
@@ -33,9 +31,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          network-manager (>= 1.8),
-         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
+         policykit-1-gnome | polkit-1-auth-agent,
          default-dbus-session-bus | dbus-session-bus
-Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
+Recommends: notification-daemon,
             gnome-keyring,
             mobile-broadband-provider-info,
             iso-codes

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@ --without=autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		-Dappindicator=ayatana \
		-Dwwan=true \
		-Dselinux=true \
		-Dteam=true

## network-manager-applet 1.24.0

=== debian/changelog ===
network-manager-applet (1.24.0-1ubuntu3) jammy; urgency=medium

  * debian/patches/gitlab_new_meson.patch:
    - build compat changes for the new meson version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Mar 2022 16:56:10 +0100

network-manager-applet (1.24.0-1ubuntu2) jammy; urgency=medium

  * debian/patches/git_owe_activation.patch
    - Fix Enhanced Open (OWE) not being saved properly
      (lp: #1963906)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Mar 2022 16:23:08 +0100

network-manager-applet (1.24.0-1ubuntu1) impish; urgency=medium

  * New upstream version rebased on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Aug 2021 18:07:10 +0200

network-manager-applet (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Rebase patches
  * Bump Standards-Version to 4.6.0

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Aug 2021 11:38:34 +0200

network-manager-applet (1.22.0-0ubuntu1) impish; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Jun 2021 11:28:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-translations,
                meson (>= 0.46.0),
                gettext (>= 0.18),
                libsecret-1-dev (>= 0.18),
@@ -18,10 +20,10 @@
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.7),
                libselinux-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager-applet.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager-applet
+Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
+Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome
@@ -31,9 +33,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          network-manager (>= 1.8),
-         policykit-1-gnome | polkit-1-auth-agent,
+         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
          default-dbus-session-bus | dbus-session-bus
-Recommends: notification-daemon,
+Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
             gnome-keyring,
             mobile-broadband-provider-info,
             iso-codes

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 %:
-	dh $@ --without=autoreconf --buildsystem=meson
+	dh $@ --without=autoreconf --with translations --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## network-manager-applet 1.24.0%2Bmint2%2Bvanessa

=== debian/changelog ===
network-manager-applet (1.24.0+mint2+vanessa) vanessa; urgency=medium

  * Fix a few icon names

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 Jun 2022 16:32:47 +0200

network-manager-applet (1.24.0+mint1) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * Native source format

  [ Michael Webster ]
  * Revert a broken quilt patch:

  [ Clement Lefebvre ]
  * Use symbolic icons in systray
  * l10n: Fix missing translations
  * l10n: Fix more broken translations from Debian patch

  [ Michael Webster ]
  * Disable appindicator, use XAppStatusIcon.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 Jun 2022 10:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
-               libayatana-appindicator3-dev,
                libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.15),
                libnma-dev (>= 1.8.27),
@@ -20,6 +19,7 @@
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.7),
                libselinux-dev,
+               libxapp-dev (>= 2.2.0)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/NetworkManager \
-		-Dappindicator=ayatana \
+		-Dappindicator=no \
 		-Dwwan=true \
 		-Dselinux=true \
 		-Dteam=true

## network-manager-applet 1.24.0-1ubuntu3+11.0trisquel0

=== debian/changelog ===
network-manager-applet (1.24.0-1ubuntu3+11.0trisquel0) aramo; urgency=medium

  * Remove gnome-shell and notification-daemon dependency from network-
    manager-gnome

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Jun 2022 02:41:33 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
+               libayatana-appindicator3-dev,
                libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.15),
                libnma-dev (>= 1.8.27),
@@ -19,7 +20,6 @@
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.7),
                libselinux-dev,
-               libxapp-dev (>= 2.2.0)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
@@ -33,9 +33,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          network-manager (>= 1.8),
-         gnome-shell <!s390x> | policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
+         policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
          default-dbus-session-bus | dbus-session-bus
-Recommends: gnome-shell <!s390x> | notification-daemon <!s390x>,
+Recommends: policykit-1-gnome <!s390x>,
             gnome-keyring,
             mobile-broadband-provider-info,
             iso-codes

## network-manager-applet 1.28.0

=== debian/changelog ===
network-manager-applet (1.28.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian.  Remaining changes:
    - d/control, d/rules:
      + Run dh_translations.
    - d/control:
      + Replace gnome-icon-theme by humanity-icon-theme in Recommends.
        Both provide gnome-lockscreen's icon, but the latter is installed
        by default in Ubuntu.
    - d/patches:
      + Force-online-state-with-unmanaged-devices.patch
      + Have-the-appindicator-enabled-by-default.patch
      + lp341684_device_sensitive_disconnect_notify.patch
      + lp460144_correctly_update_notification.patch
      + Make-policykit-restricted-actions-insensitive.patch
      + Support-hiding-rather-than-desensitizing-disallowed-items.patch
  * Drop patches applied upstream:
    - git_owe_activation.patch 
    - gitlab_new_meson.patch
  * d/rules: Drop <!s390x>, since the packages are now also available in s390x.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 13 Jun 2022 11:09:32 +0200

network-manager-applet (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * Rebase patches
  * Bump Standards-Version to 4.6.1

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Jun 2022 23:21:36 +0200

network-manager-applet (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * Rebase patches
  * Drop unnecessary version restriction

 -- Michael Biebl <biebl@debian.org>  Tue, 29 Mar 2022 22:17:24 +0200

network-manager-applet (1.24.0-2) unstable; urgency=medium

  * meson.build: address meson 0.61 failures (Closes: #1005529)
  * Add Recommends gnome-icon-theme for gnome-lockscreen icons
    (Closes: #990252)
  * Update debian/copyright
  * Update debian/watch to version 4
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Feb 2022 12:58:56 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.7),
                libselinux-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
 Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
@@ -32,11 +32,12 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         network-manager (>= 1.8),
-         policykit-1-gnome <!s390x> | polkit-1-auth-agent <!s390x>,
+         network-manager,
+         gnome-shell | policykit-1-gnome | polkit-1-auth-agent,
          default-dbus-session-bus | dbus-session-bus
-Recommends: policykit-1-gnome <!s390x>,
+Recommends: gnome-shell | notification-daemon,
             gnome-keyring,
+            humanity-icon-theme,
             mobile-broadband-provider-info,
             iso-codes
 Suggests: network-manager-openconnect-gnome,
@@ -56,4 +57,3 @@
  It displays the available networks and allows users to easily switch between
  them. For encrypted networks it will prompt the user for the key/passphrase
  and it can optionally store them in the gnome-keyring.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@ --without=autoreconf --with translations --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		-Dappindicator=ayatana \
		-Dwwan=true \
		-Dselinux=true \
		-Dteam=true

## network-manager-applet 1.30.0

=== debian/changelog ===
network-manager-applet (1.30.0-2) unstable; urgency=medium

  * Reclaim org.gnome.nm-applet schema from libnma.
    Add a proper Breaks/Replaces against libnma-common.
    (Closes: #1023630)

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2022 00:03:20 +0100

network-manager-applet (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Rebase patches
  * Update Build-Depends as per meson.build

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Nov 2022 18:00:25 +0100

network-manager-applet (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Aug 2021 10:46:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-translations,
                meson (>= 0.46.0),
                gettext (>= 0.18),
                libsecret-1-dev (>= 0.18),
                libgtk-3-dev (>= 3.10),
-               libglib2.0-dev (>= 2.38),
-               libnotify-dev (>= 0.7),
+               libglib2.0-dev (>= 2.40),
                libayatana-appindicator3-dev,
                libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.15),
@@ -22,8 +19,8 @@
                libselinux-dev,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
-Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager-applet.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager-applet
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome
@@ -33,17 +30,19 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          network-manager,
-         gnome-shell | policykit-1-gnome | polkit-1-auth-agent,
+         policykit-1-gnome | polkit-1-auth-agent,
          default-dbus-session-bus | dbus-session-bus
-Recommends: gnome-shell | notification-daemon,
+Recommends: notification-daemon,
             gnome-keyring,
-            humanity-icon-theme,
+            gnome-icon-theme,
             mobile-broadband-provider-info,
             iso-codes
 Suggests: network-manager-openconnect-gnome,
           network-manager-openvpn-gnome,
           network-manager-vpnc-gnome,
           network-manager-pptp-gnome
+Breaks: libnma-common (<< 1.10.4)
+Replaces: libnma-common (<< 1.10.4)
 Description: network management framework (GNOME frontend)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 %:
-	dh $@ --without=autoreconf --with translations --buildsystem=meson
+	dh $@ --without=autoreconf --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
